Skip to main content
GET
Get address information by id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address_id
string<uuid>
required

ID of the address

Example:

"1a582c51-e4ff-4e57-9558-08cab6b963aa"

Response

Address information

address_line_1
string
required

Street address line 1

Maximum string length: 100
Example:

"100 Main St."

city
string
required

City

Example:

"New York"

country_code
string
required

ISO-3166-1 Alpha-2 country code

Pattern: ^[A-Z]{2}$
Example:

"US"

postal_code
string
required

Postal code

Example:

"49633"

state
string
required

State, region, province, or prefecture. This is the ISO-3166-2 subdivision code, excluding the country prefix. For example, TX for Texas USA or TAM for Tamaulipas Mexico. Its length varies by country, e.g. 2 characters for US, 3 for MX.

Example:

"NY"

creation_date
string<date-time>
required

Date and time when the address was created.

Example:

"2019-01-01T00:00:00Z"

is_active
boolean
required

Whether the address is active or not

Example:

true

last_updated_time
string<date-time>
required
Example:

"2010-05-06T12:23:34.321Z"

address_line_2
string

Street address line 2

Maximum string length: 100
Example:

"Suite 99"

business_id
string<uuid>

The identifier for the business customer associated with address.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

customer_id
string<uuid>

The identifier for the personal customer associated with address.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"